PERTALIFE - Bug #2705

Perubahan condition dan penambahan condition
04/22/2024 04:27 PM - Regina Tasya

Status: Closed Start date: 04/22/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Mas Azid,

Mohon bantuannya untuk membuatkan kondisi sebagai berikut:
1.cond_creator_orglvl

2.condition_orglvl_03

3.condition_orglvl_03_vacant

Penjelasan :

e point no. 1, kondisi tersebut membaca apakah creator organisasi levelnya <=03 maka akan ke HC. JIKA Tidak maka akan lanjut
ke direct supervisor (apv_direct_supervisor)

¢ point no. 2, kondisi ini membaca apakah organisasi level sudah 03(VP) atau belum, jika IYA maka yang approv adalah HR, jika
TIDAK maka akan lanjut ke point no.3 (Condition Org Level VP vacant)

¢ point no.3, kondisi ini membaca apakah organisasi level 03 ini posisinya kosong atau tidak, jika IYA kosong, maka akan
diarahkan ke (approval HR), JIKA TIDAK maka akan diarahkan ke Direct Supervisor 2 (Approval Next Higher)

Terima kasih

BizProcessID: Leave SJ
BizFlowID: MD_Leave_SJ

Port: http://remote.minovais.com:61115/
Server: remote.minovais.com,1452
DB: MinovaES_Pertalife_Prod

History

#1 - 04/29/2024 02:00 PM - Regina Tasya
Dear Mas Ajid,
berikut merupakan data untuk beberapa skenario :
1.
¢ 03 -> VP Invesment 00000496, employee : 10150421 gilang pradityo
* 04 -> DH infesment officer 00000209, employee : 08530116 ika kurniati

e staff -> invesment operation staff, employee : 10850223
note: jika staff melakukan requester, maka DS 1 adalah 04, dan DS 2 adalah 03.

2.
* 03 -> vp 00000553, employee : KOSONG
e 04 -> DH Underwritting officer, employee : 10130421 sigit harianto
¢ staff -> underwritting officer, employee : 08921216 pujo riyadi
note: kondisi saat vp kosong.
jika staff melakukan requester, maka DS 1 ke DH, dan DS 2 ke HC
3.

e 03 VP -> vp 000000448 , employee : KOSONG
¢ 04 DH -> DH 000000710 , employee : KOSONG
http://remote.minovais.com:61115/

e staff -> internal audit , employee : 10950623

note: jika staff melakukan requester, kemudian dh dan vp kosong, maka langsung ke HC

4.
¢ 03 -> vp 00000471 , employee : 09891120 jhoniansyah pura
¢ 04 - > dh, KOSONG
e staff -> employee : 06040502 jarot budi
note: kondisi saat dh kosong
jika staff melakukan requester, dan dh kosong, maka untuk ds 1 adalah VP, dan Ds 2 adalah HC
terima kasih

#2 - 04/29/2024 02:44 PM - Regina Tasya

- Description updated

#3 - 04/29/2024 03:41 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya ,, udah bisa di test ya

package :

dftask

- apv_direct_supervisor
- apv_nha

- cond_creator_orglvl
- condition_orglvl_03
custparam

- Az_CondlviOrg

- Az_CondlvlOrgDs2
- Az_DirectSpviOM
- Az_DirectSpv20M

makasih
#4 - 05/03/2024 11:08 AM - Regina Tasya

- Status changed from QA Test to Revise

- Assignee changed from Regina Tasya to M Azid Wahyudi

#5 - 05/03/2024 04:03 PM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , udah bisa di test ya
makasih

#6 - 05/06/2024 01:49 PM - Regina Tasya

- Assignee changed from Regina Tasya to indra Z

#7 - 05/14/2024 11:08 AM - indra Z
- Status changed from QA Test to Closed

#8 - 06/05/2024 04:02 PM - Regina Tasya
- Status changed from Closed to Deploy
- Assignee changed from indra Z to M Azid Wahyudi

#9 - 06/05/2024 04:16 PM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Regina Tasya

package sudah ada di atas tinggal settingan potong cuti yang belom ada
ini kasih tau masbin

#10 - 06/24/2024 11:46 AM - Regina Tasya
- Status changed from Deploy to Closed
